Statistics

Total Posts
General Information
  • Last Activity: 5th October 2020 12:29 AM
  • Last Login: 1st January 1970 12:00 AM
  • Join Date: 5th March 2014
  • Referrals: 0

Most Thanked

Thanks
Post Summary
1
You don't need a debrick.img of a 4.4 to get it working, you need a debrick.img of the correct bootloader. If you bricked your phone by flashing an older bootloader after upgrading to the 4.3 bootloader, then you need a debrick.img with the 4.3 bo...